Package: groovy.swing.factory

## [Groovy] Class BevelBorderFactory

- groovy.swing.factory.BevelBorderFactory

-     class BevelBorderFactory
      extends SwingBorderFactory

  accepts no value
  accepts attributes:
  none
  highlight: java.awt.Color, shadow: java.awt.Color
  highlightOuter: java.awt.Color, highlightInner: java.awt.Color, shadowOuter: java.awt.Color, shadowInner: java.awt.Color

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `int` | `type` Bevel type used when creating borders.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BevelBorderFactory(int newType)` Creates a new factory or helper type for beve\1 \2orde\1 \2actory

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)` Creates the node handled by this factory.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SwingBorderFactory` | `isLeaf, onHandleNodeAttributes, setParent`
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Property Detail

    - #### final int type

      Bevel type used when creating borders.

  - ### Constructor Detail

    - #### BevelBorderFactory(int newType)

      Creates a new factory or helper type for beve\1 \2orde\1 \2actory

      Parameters:
        `newType` - the border type constant

  - ### Method Detail

    - #### Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

      Creates the node handled by this factory.

      Parameters:
        `builder` - the factory builder
        `name` - the node name
        `value` - the node value
        `attributes` - the node attributes
      Returns:
        the created or reused node